      SUBROUTINE DBUFUP(DATARY,MDARAY,NSTART,NFINIS,NBUFFD)
 
C     *************************************************************************
C
C     DBUFUP
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     11-APR-2009:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     PARALLEL LOAD-BALANCING
C     BUFFERS UP PHYSICAL DATA
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      DOUBLE PRECISION DATARY(MDARAY)
      INTEGER MDARAY,NSTART,NFINIS,NBUFFD


C     LOCAL DATA
C     ==========
      INTEGER JCELL,JSPEC,JCOUNT


C     BEGIN
C     =====

C     =========================================================================

C     BUFFER UP DATA
      JCOUNT = 0
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        DATARY(JCOUNT) = DRUN(JCELL)
      ENDDO
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        DATARY(JCOUNT) = URUN(1,JCELL)
        JCOUNT = JCOUNT + 1
        DATARY(JCOUNT) = URUN(2,JCELL)
        JCOUNT = JCOUNT + 1
        DATARY(JCOUNT) = URUN(3,JCELL)
      ENDDO
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        DATARY(JCOUNT) = ERUN(JCELL)
      ENDDO
      DO JCELL = NSTART, NFINIS
        DO JSPEC = 1, NSPEC
          JCOUNT = JCOUNT + 1
          DATARY(JCOUNT) = YRUN(JSPEC,JCELL)
        ENDDO
      ENDDO
      NBUFFD = JCOUNT

C     =========================================================================


      RETURN
      END
