      SUBROUTINE MCSCPY(NMCODE,NMSIZE,ICODE1,ICODE2)

C     *************************************************************************
C
C     MCSCPY
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     COPIES A MORTON CODE IN THE MAIN ARRAY
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NMCODE(MCSIZE,NMSIZE)
      INTEGER NMSIZE,ICODE1,ICODE2


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     STORE
C     -----
      DO ICSIZE = 1,MCSIZE
        NMCODE(ICSIZE,ICODE2) = NMCODE(ICSIZE,ICODE1)
      ENDDO

C     =========================================================================


      RETURN
      END
