      SUBROUTINE OCREIN(NOCPAR,NOCHLD,COCODE,NOCSIZ,NOCHWM)
 
C     *************************************************************************
C
C     OCREIN
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     31-AUG-2008:  CREATED
C     02-FEB-2016:  RSC MODIFIED FOR MULTIPLE OCTREES
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     REINITIALISES THE OCTREE
C     NOTE THAT ALL ATTRIBUTES ARE SET TO "OUT"
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_octlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NOCSIZ,NOCHWM
      INTEGER NOCHLD(0:7,NOCSIZ)
      INTEGER NOCPAR(NOCSIZ)
      CHARACTER*1 COCODE(0:7,NOCSIZ)


C     LOCAL DATA
C     ==========
      INTEGER IOCTET,ICHILD


C     BEGIN
C     =====

C     =========================================================================

C     PLANT THE OCTREE
C     ----------------
      IOCTET = 1
      NOCPAR(IOCTET) = 0
      DO ICHILD = 0,7
        NOCHLD(ICHILD,IOCTET) = 0
        COCODE(ICHILD,IOCTET) = CHOUTC
      ENDDO
      NOCHWM = 1

C     =========================================================================


      RETURN
      END
