      SUBROUTINE REFGRC
 
C     *************************************************************************
C
C     REFGRC
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     10-APR-2009:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     GARBAGE COLLECTION FOLLOWING REFINEMENT
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     LOCAL DATA
C     ==========
      INTEGER NTRLOC(NSIZMX),NTEMP1(NSIZMX),NTEMP2(NSIZMX)
      INTEGER JCELL,JSORT


C     BEGIN
C     =====

C     =========================================================================

C     GARBAGE COLLECTION
C     ------------------
C     MAKE AN INDIRECTION LIST
      DO JCELL = 1, NCELL
        NTRLOC(JCELL) = JCELL
      ENDDO

C     SORT THE M-CODE ARRAY TOGETHER WITH THE INDIRECTION LIST
      CALL SORTEM(NMCODE,NTRLOC,NSIZMX,NNCODE)

C     =========================================================================

C     USE THE INDIRECTION LIST TO UPDATE:
C     OLD CELL INDEX LIST
C     CELL REFINEMENT STATUS CODES
      DO JCELL = 1, NCELL

        JSORT  = NTRLOC(JCELL)

        NTEMP1(JCELL) = NCOCEL(JSORT)
        NTEMP2(JCELL) = NRSTAT(JSORT)

      ENDDO
      DO JCELL = 1, NCELL

        NCOCEL(JCELL) = NTEMP1(JCELL)
        NRSTAT(JCELL) = NTEMP2(JCELL)

      ENDDO

C     =========================================================================

CC     REBUILD THE LOCAL OCTREE
CC     ------------------------
C      CALL RETREE
C      CALL RELEAF

C     =========================================================================


      RETURN
      END
