      SUBROUTINE RELEAF
 
C     *************************************************************************
C
C     RELEAF
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     02-OCT-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     CONNECTS THE CELLS TO THE OCTREE
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     LOCAL DATA
C     ==========
      INTEGER MCRUN(NINDMX)
      INTEGER INCODE
      CHARACTER*1 CHATTR


C     BEGIN
C     =====

C     RUN THROUGH ALL SURVIVING CHILDREN
      DO INCODE = 1,NNCODE

C       FETCH THE M-CODE
        CALL MCRTRV(MCRUN,NMCODE,NSIZMX,INCODE)

C       CONNECT A CELL
        CALL OCLEAF(NOCHLD,COCODE,NOCTMX,MCRUN,INCODE,CHATTR)
        NPARNT(INCODE) = INCODE

      ENDDO

C     =========================================================================


      RETURN
      END
