C     MCMLIB------------------------------------------------------------------

C     CELL INDEX PARAMETERS
      INTEGER MCSIZE,MCOCTS
      INTEGER MCBITS,MIBITS
      INTEGER NLBITS,NHBITS
      INTEGER NLVBTS,NLVBLO
      INTEGER NLVOCS,NLVOLO
      INTEGER NLOCTS,NHOCTS
      PARAMETER(MCSIZE = 2,  MCOCTS = 20)
      PARAMETER(MCBITS = 64, MIBITS = 32)
      PARAMETER(NLBITS = 30, NHBITS = 24)
      PARAMETER(NLOCTS = 10, NHOCTS = 8)
      PARAMETER(NLVBTS = 6,  NLVBLO = 25)
      PARAMETER(NLVOCS = 2,  NLVOLO = 19)

C     MORTON CODE MANIPULATION DATA
      INTEGER KCPWR2(0:NLBITS)
      INTEGER KCPWR8(0:NLOCTS)
      INTEGER NIBITS(1:MCSIZE)
      INTEGER NIOCTS(1:MCSIZE)
      INTEGER NCOCTS,NMOCTS
      INTEGER NCBITS,NMBITS
      INTEGER NLGBLO,NLGOLO

      COMMON/MCMLIB/KCPWR2,KCPWR8,NIBITS,NIOCTS,
     +              NCBITS,NMBITS,NCOCTS,NMOCTS,
     +              NLGBLO,NLGOLO

C     MCMLIB------------------------------------------------------------------
