      SUBROUTINE P_GTHR(ELEMNT,NELMNT,PLOCAL,NPARAY)
 
C     *************************************************************************
C
C     P_GTHR
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     19-AUG-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     GATHERS A SINGLE DATA ITEM FROM EACH PROCESSOR
C     AND DISTRIBUTES THE RESULTING ARRAY TO ALL PROCESSORS
C     USING MPI
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'mpif.h'
C     -------------------------------------------------------------------------
      

C     ARGUMENTS
C     =========
      DOUBLE PRECISION PLOCAL(NPARAY)
      DOUBLE PRECISION ELEMNT
      INTEGER NELMNT,NPARAY


C     LOCAL DATA
C     ==========
      INTEGER IERROR


C     BEGIN
C     =====

C     =========================================================================

      CALL MPI_ALLGATHER(ELEMNT,NELMNT,MPI_DOUBLE_PRECISION,
     +                   PLOCAL,NELMNT,MPI_DOUBLE_PRECISION,
     +                   MPI_COMM_WORLD,IERROR)

C     =========================================================================


      RETURN
      END
