      SUBROUTINE RANGIB(ISEED)
 
C     *************************************************************************
C
C     RANGIB
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT
C
C     CHANGE RECORD
C     -------------
C     21-JUL-2001:  CREATED
C     27-APR-2012:  RSC UPDATE FOR HAMISH
C     27-APR-2012:  RSC VARIANT FOR INLET BC TURBULENT VELOCITY FIELD
C
C     DESCRIPTION
C     -----------
C     UNIVARIATE GAUSSIAN RANDOM NUMBER GENERATOR
C     INITIALISATION ROUTINE
C
C     REFERENCES
C     ----------
C     1) NUMERICAL RECIPES pp196-197
C
C     *************************************************************************


C     ARGUMENT
C     ========
      INTEGER ISEED


C     SAVED DATA
C     ==========
      DOUBLE PRECISION RSAVED
      LOGICAL RREADY
      COMMON/GRANNB/RSAVED,RREADY


C     BEGIN
C     =====
      CALL RANINB(ISEED)

      RSAVED = 0.0D0
      RREADY = .FALSE.


      RETURN
      END
