      SUBROUTINE TEMPTH(DLOCAL,PLOCAL,YLOCAL,TLOCAL)
 
C     *************************************************************************
C
C     TEMPTH
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     29-SEP-2014:  CREATED
C     
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     COMPUTES TEMPERATURE
C     USING THERMAL EOS
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      DOUBLE PRECISION YLOCAL(NSPCMX)
      DOUBLE PRECISION DLOCAL,TLOCAL,PLOCAL


C     LOCAL DATA
C     ==========
      DOUBLE PRECISION RGCMIX
      INTEGER ISPEC


C     BEGIN
C     =====

      RGCMIX = ZERO
      DO ISPEC = 1,NSPEC
        RGCMIX = RGCMIX + YLOCAL(ISPEC)*RGSPEC(ISPEC)
      ENDDO
      RGCMIX = DLOCAL*RGCMIX

C     EVALUATE TEMPERATURE
      TLOCAL = PLOCAL/RGCMIX

C     =========================================================================


      RETURN
      END
