      SUBROUTINE MCPLVL(MCODE,NLEVEL)
 
C     *************************************************************************
C
C     MCPLVL
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C     11-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     CHANGES THE ENCODED LEVEL OF AN ENCODED INTEGER ARRAY
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER MCODE(MCSIZE)
      INTEGER NLEVEL


C     BEGIN
C     =====

C     =========================================================================

C     REMOVE THE EXISTING LEVEL CODE
      MCODE(MCSIZE) = MOD(MCODE(MCSIZE),KCPWR2(NLVBLO))

C     RESET THE LEVEL CODE
      MCODE(MCSIZE) = MCODE(MCSIZE) + NLEVEL*KCPWR2(NLVBLO)

C     =========================================================================


      RETURN
      END
