      SUBROUTINE P_GMNI(NELMNT,NANSWR)
 
C     *************************************************************************
C
C     P_GMNI
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     17-AUG-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     FINDS THE MIN OF DATA FROM ALL PROCESSORS
C     AND DISTRIBUTES THE ANSWER TO ALL PROCESSORS
C     INTEGER VERSION
C     USING MPI
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'mpif.h'
C     -------------------------------------------------------------------------
      

C     ARGUMENTS
C     =========
      INTEGER NELMNT,NANSWR


C     LOCAL DATA
C     ==========
      INTEGER IERROR


C     BEGIN
C     =====

C     =========================================================================

      CALL MPI_ALLREDUCE(NELMNT,NANSWR,1,MPI_INTEGER,
     +                   MPI_MIN,MPI_COMM_WORLD,IERROR)

C     =========================================================================


      RETURN
      END
